
Redmine - Feature #17976

Custom permissions per project for non member and anonymous users

2014-09-27 12:13 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Feature #9167: Open source project option Closed 2011-09-01

Has duplicate Redmine - Feature #6801: howto assign project rights for non-me... Closed 2010-11-02

Associated revisions

Revision 13417 - 2014-09-28 16:51 - Jean-Philippe Lang

Adds buit-in groups to give specific permissions to anonymous and non members users per project (#17976).

Revision 13418 - 2014-09-28 16:51 - Jean-Philippe Lang

Adds locales strings (#17976).

Revision 13420 - 2014-09-30 22:41 - Jean-Philippe Lang

Fixed test failure with ruby1.8.7 and postgresql (#17976).

History

#1 - 2014-09-28 11:31 - Lajish Lakshmanan

Hi Jean-Philippe Lang,

I have been watching roadmap of 2.6.0 version since long time in order to deploy it my organisation. Today I can see this new tracker here. May i

know the details of security permission details , you have decided to incorporate in this  tracker.

Regards,

Lajish Lakshmanan

#2 - 2014-09-28 16:41 - Jean-Philippe Lang

In current versions, permissions for anonymous users and users who are not members of a project can be defined systemwide only, by setting the

permissions of the Anonymous and Non member roles.

This feature will introduce 2 built-in groups (Anonymous users and Non members), that can be given different roles on different projects, just like you

add users as members of a project.

#3 - 2014-09-28 16:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#4 - 2017-06-05 05:35 - Go MAEDA

- Has duplicate Feature #6801: howto assign project rights for non-members added

#5 - 2024-09-23 18:11 - Holger Just

- Related to Feature #9167: Open source project option added

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

http://www.tcpdf.org

